# Copyright (c) 2013, Mark Peek <mark@peek.org>
# All rights reserved.
#
# See LICENSE file for full license.

from . import AWSObject, AWSProperty


class Target(AWSProperty):
    props = {
        'Arn': (str, True),
        'Id': (str, True),
        'Input': (str, False),
        'InputPath': (str, False),
        'RoleArn': (str, False),
    }


class Rule(AWSObject):
    resource_type = "AWS::Events::Rule"

    props = {

        'Description': (str, False),
        'EventPattern': (dict, False),
        'Name': (str, False),
        'ScheduleExpression': (str, False),
        'State': (str, False),
        'Targets': ([Target], False),
    }
